> ## Documentation Index
> Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List lead disposition outcome history

> Lists disposition outcome history for one lead, including prior outcomes, notes, follow-up context, timestamps, and actor details used for audit review.



## OpenAPI

````yaml /openapi.json get /dispositions/lead/{leadId}
openapi: 3.0.4
info:
  title: Leadping API
  description: >-
    Leadping API for lead intake, messaging, calling, automations, billing,
    business settings, and compliant lead communication workflows.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1
servers:
  - url: https://api.leadping.ai
    description: Production
security: []
tags:
  - name: Analytics
  - name: Automations
  - name: Contact
  - name: Conversations
  - name: Dispositions
  - name: Feedback
  - name: Leads
  - name: LeadStatuses
  - name: Notifications
  - name: OutboundDelivery
  - name: Sources
  - name: Suppressions
  - name: Tags
  - name: Users
  - name: Calls
  - name: PhoneNumbers
  - name: Sms
  - name: Telephony
  - name: UserDataExports
  - name: CallEvents
  - name: Events
  - name: SmsEvents
  - name: Businesses
  - name: PaymentMethods
  - name: Transactions
  - name: Usage
  - name: Wallets
paths:
  /dispositions/lead/{leadId}:
    get:
      tags:
        - Dispositions
      summary: List lead disposition outcome history
      description: >-
        Lists disposition outcome history for one lead, including prior
        outcomes, notes, follow-up context, timestamps, and actor details used
        for audit review.
      operationId: Dispositions_GetByLeadId
      parameters:
        - name: leadId
          in: path
          description: The ID of the lead to get dispositions for.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Dispositions were successfully retrieved.
          content:
            application/json:
              schema:
                type: array
                items:
                  allOf:
                    - $ref: '#/components/schemas/DispositionResponse'
                  description: Response model for disposition data.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: The specified lead was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    DispositionResponse:
      type: object
      properties:
        id:
          type: string
          description: The unique ID for this disposition.
        leadId:
          type: string
          description: The lead ID associated with this disposition.
        type:
          type: string
          description: The type classification for this disposition.
        outcome:
          type: string
          description: The outcome value for this disposition.
        category:
          enum:
            - Open
            - Qualified
            - Converted
            - Lost
            - Invalid
            - Duplicate
          type: string
          description: >-
            Controlled disposition categories used for reporting, automation,
            and analytics.
          nullable: true
        oldDispositionId:
          type: string
          description: >-
            Unique identifier of the old disposition associated with this
            Leadping disposition.
          nullable: true
        oldDispositionType:
          type: string
          description: Old disposition type classification for this Leadping disposition.
          nullable: true
        oldDispositionOutcome:
          type: string
          description: Old disposition outcome associated with this Leadping disposition.
          nullable: true
        newDispositionId:
          type: string
          description: >-
            Unique identifier of the new disposition associated with this
            Leadping disposition.
          nullable: true
        notes:
          type: string
          description: The operator or customer notes recorded for this disposition.
        reason:
          type: string
          description: The reason this disposition was changed.
          nullable: true
        changedByUserId:
          type: string
          description: Unique identifier of the Leadping user who made the change.
          nullable: true
        changedByAutomationId:
          type: string
          description: >-
            Unique identifier of the automation that changed the disposition,
            when applicable.
          nullable: true
        changedAt:
          type: string
          description: Date and time when the disposition change occurred.
          format: date-time
          nullable: true
        changeSource:
          enum:
            - User
            - AI
            - Automation
            - System
            - API
          type: string
          description: Known sources that can change a lead's current disposition.
          nullable: true
        timestamp:
          type: string
          description: The date and time for the timestamp value on this disposition.
          format: date-time
        createdAt:
          type: string
          description: The date and time for the created at value on this disposition.
          format: date-time
        updatedAt:
          type: string
          description: The date and time for the updated at value on this disposition.
          format: date-time
        followUpStatus:
          type: string
          description: The current follow up status for this disposition.
          nullable: true
        callbackAt:
          type: string
          description: The date and time for the callback at value on this disposition.
          format: date-time
          nullable: true
        taskDueAt:
          type: string
          description: The date and time for the task due at value on this disposition.
          format: date-time
          nullable: true
        appointmentStartAt:
          type: string
          description: >-
            The date and time for the appointment start at value on this
            disposition.
          format: date-time
          nullable: true
        appointmentEndAt:
          type: string
          description: >-
            The date and time for the appointment end at value on this
            disposition.
          format: date-time
          nullable: true
        appointmentNotes:
          type: string
          description: The appointment notes value for this disposition.
          nullable: true
        assignedToUserId:
          type: string
          description: The assigned to user ID associated with this disposition.
          nullable: true
        relatedCallEventId:
          type: string
          description: The related call event ID associated with this disposition.
          nullable: true
        isMissedCallFollowUp:
          type: boolean
          description: Whether this disposition is missed call follow up.
        sourceId:
          type: string
          description: The source ID associated with this disposition.
          nullable: true
      description: Response model for disposition data.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          description: URI reference that identifies the problem type.
          nullable: true
        title:
          type: string
          description: Short, human-readable summary of the problem.
          nullable: true
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: HTTP status code returned for the problem.
          format: int32
          nullable: true
        detail:
          type: string
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
          nullable: true

````